Instalar Drivers de ATI en Ubuntu (todas las versiones)

Bueno pues no es nada del otro mundo, ya e posteado antes en el apartado de Drivers como instalar los Drivers de nuestras tarjetas graficas, con la nueva versión de Ubuntu no creo que aya ningún problema enhttp://www.hardocp.com/images/articles/1090954942T1PyuCbQG9_1_1.jpg instalar los drivers de nuestra ATI, aunque con una tarjeta tuve un problemilla, así que por si acaso:

Es muy sencillo, abre un terminal y escribe lo siguiente:

$gedit ati.sh

Ahora copia el siguiente código :

#!/bin/sh
echo Elimina antiguos paquetes fglrx..........................................
sudo apt-get remove fglrx*
 echo
echo restaura xorg.conf original:.............................................
#sudo dpkg-reconfigure -phigh xserver-xorg #deshabilitado por ahora
echo
echo actualiza repositorios:..................................................
sudo apt-get update
echo
echo descarga e instala driver y restricted modules:..........................
sudo apt-get install linux-restricted-modules-$(uname -r)
sudo apt-get install xorg-driver-fglrx #este es el driver
sudo depmod -a # actualiza dependencias
echo
echo configura:...............................................................
sudo aticonfig --initial
sudo aticonfig --overlay-type=Xv

echo
echo deshabilta "composite"................................................................
dc=$(sudo grep "\"Composite\" \"Disable\"" /etc/X11/xorg.conf | grep -v \#)
if [ "$dc" = "" ]; then
printf "Section \"Extensions\"" | sudo tee -a /etc/X11/xorg.conf
echo \ | sudo tee -a /etc/X11/xorg.conf
printf " Option \"Composite\" \"Disable\"" | sudo tee -a /etc/X11/xorg.conf
echo \ | sudo tee -a /etc/X11/xorg.conf
echo Endsection | sudo tee -a /etc/X11/xorg.conf
else
echo composite ya estaba desabilitado
fi
echo
echo re-habilita modulo "fglrx" en linux/restricted/modules/common.............

lr=$(sudo grep fglrx /etc/default/linux-restricted-modules-common | grep -v \#)
if [ "$lr" = "" ]; then
echo modulo "fglrx" habilitado
exit
else
sudo cp /etc/default/linux-restricted-modules-common /etc/default/lrmc
echo re-habilitando fglrx.....
sudo grep \# /etc/default/lrmc > /etc/default/linux-restricted-modules-common
sudo grep -v DISABLED_MODULES /etc/default/lrmc | grep -v \# | tee -a /etc/default/linux-restricted-modules-common
sudo grep fglrx /etc/default/lrmc | grep -v \# | sed s/fglrx// | tee -a /etc/default/linux-restricted-modules-common
echo .....fglrx re-habilitado
fi

Ahora tenemos que comprobar que tenemos los repositorios universe y multiverse disponibles escribiendo lo siguiente:

sudo gedit /etc/apt/sources.list

Quitamos las # de todas las líneas que empiecen con la palabra deb

Una vez realizado todo, guardamos y ejecutamos el script escribiendo:

sudo sh ati.sh

Reiniciamos y ya lo tenemos todo! Entre las opciones, podemos cambiar la resolución de nuestro entorno de Ubuntu a una mayor a la predefinida como puede ser: 1280×1024.

Salu2.

About these ads

13 respuestas a Instalar Drivers de ATI en Ubuntu (todas las versiones)

  1. [...] Primero ajuste mi pantalla a una resolución aceptable, en mi caso 1280×1024, pero como no tenia las controladoras para mi gráfica ATI XT tuve que buscarmelas. Por suerte encontré este minimanual muy sencillo, que no dude en postear aquí. [...]

  2. Chewrafa dice:

    Pues la verdad es que esperaba poder solucionar el problema con este script, no podía ni activar beryl o composite (lo cual tampoco me traumatizaba) y mi máxima resolución era de 1024… lo que sigue siendo así. Me da un error el script en la línea 33 y a mi si me sacas de python voy perdido ^^U.

    ati.sh: 33: Syntax error: Unterminated quoted string

    He ahí el mensaje de error. Igual es una chorrada, como que falta alguna comilla o cosas así, pero yo no sé como solucionarlo puesto que no tengo ni la más mínima idea de esto (llevo unos meses con Ubuntu pero sigo siendo bastante noob). A ver si me puedes echar una mano, aunque el post sea viejo. Un saludo.

  3. h2non dice:

    No se si te acodaste de quitar las “#”.
    Repasa la linea 32 y las que le rodean, ya te posteare algo si lo soluciono, pero suongo que es un error de copiado!

  4. Ingerni dice:

    pues intente y nada desde el principio….
    por que me sale este mensaje: bash: ati.sh: orden no encontrada y nada ps

  5. Luis dice:

    Tengo el mismo problema q el amigo Chewrafa, soy un completo novato en lo que va de ubuntu pero aprendo rapido solo decir que mi tarjeta es una ATI Radeon X300 Series y el mensaje de error completo es el siguiente (copie y segui tal cual los pasos):

    configura:………………………………………………………
    aticonfig: Writing to ‘/etc/X11/xorg.conf’ failed. No such file or directory.
    No ATI fglrx device was found in the file: ‘/etc/X11/xorg.conf’.
    Please run ‘aticonfig –initial’ or change the ‘Driver’ part of your configuration
    file to “fglrx” and run aticonfig again.
    aticonfig: Writing to ‘/etc/X11/xorg.conf’ failed. No such file or directory.
    No ATI fglrx device was found in the file: ‘/etc/X11/xorg.conf’.
    Please run ‘aticonfig –initial’ or change the ‘Driver’ part of your configuration
    file to “fglrx” and run aticonfig again.

    deshabilta “composite”……………………………………………………….
    ati.sh: 33: Syntax error: Unterminated quoted string

    Usando ubuntu 7.04 feisty fawn pero…. ya he leido bastante de q las ATI no corren bien,,, Si es que alguien le dio n el clavo mil graciassssssssssss

  6. h2non dice:

    Asegurate de que tu gráfica soporta OpenGL, en todo caso de erias instalar composite, aunque no se seguro como hacerlo en tu caso.
    No se que mas decirte, asegurate de eso y busca un posible error la instalación, auque me da que es lo de arriba.
    Salu2 y suerte

  7. Luis dice:

    gracias por la ayuda ncontre informacion intereante por ahi pero no veo la luz todavia tngo ntendido q Composite es un proyecto q esta n construccion todavia¿¿¿ Beryl +Compiz bnoo lo del OpenGL voy a ver si ncuentro algo si arreglo esto se los informo muchas gracias por contestar

  8. Luis dice:

    bno yo otra vez pero esta vez para decir q tuve q instalar denuevo mi feisty 7.04 y ahora me muestra que tengo los driver libres instalados funcionando y usando
    $ glxinfo | grep direct
    direct rendering: Yes
    tengo el famoso YES jjeje finalmente segui esta guia
    http://www.ubuntu-es.org/index.php?q=node/46437
    que esta bien simple solo q no instale los driver libre xq ya los tengo por suert ,,,tuve problemas con ver videos en totem y vlc pude arreglar las de totem en su propia configuracion asi q ahora me voy directo a poner compiz fusion espero no tener problemas ncontre por ahi un howto q podria servir
    http://damr.net/blog/2007/08/04/compiz-fusion-en-ubuntu-feisty-704-con-xgl-en-la-ati-radeon-xpress-200m-32mb-mini-howto/
    bno q mas tengo beryl y lo estoy disfrutando saludos :)

  9. Daniel dice:

    Ciertamente hay un problema en el script, por lomenos al copiar de firefox a gedit las comillas las interpreta mal. me daba el error:

    deshabilta “composite”……………………………………………………….
    ati.sh: 33: Syntax error: Unterminated quoted string

    y tras reemplazar las comillas de HTML por comillas “de verdad” se ejecutó el script bien.

    Aun así, tras reiniciar sigo sin disponer de resoluciones mayores de 1024×768.
    Alguna idea de a qué puede ser debido?

    gracias por el post!

  10. h2non dice:

    Desde mi humildad, solo te puedo proponer varias cosas:
    Puede que la resolucion de tu pantalla no admita más aunque lo dudo. Es mas probable que sa debido a la configuracion del xorg.conf, osease el servidor grafico basado en X Window que usamos en sistemas Linux (mayormente). Deberias de probar en configurarlo y añadirle mas resoluciones, o puedes reiniciar el servidor grafico y probar de nuevo, a mi me pasa con Debian, pero en mi caso uso un conmutador.
    Prueba en instalarte otras controladoras…
    Sinceramente no se que mas proponerte, tampoco se con lo que cuentas.

    Salu2

  11. Daniel dice:

    gracias por la respuesta, tengo una ATI X1600, y ciertamente creo que es mi xorg.conf, que no lo tengo bien configurado. seguiré probando… gracias de nuevo

  12. Daniel dice:

    Gracias por la peque;a explicacion me sirvio dem gracias!!!!

  13. Jorge Ricaldi dice:

    Muchas gracias bro, ahora mi laptop vuelo, puedo ver videos en fullscreen con compiz, jugar hasta american army con compiz, lo toy probando con ubuntu 9.10(Karmic Koala) me ha dejado sorprendido, gracias !

Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.

%d personas les gusta esto: